libzypp 17.37.10

ProblemTypes.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <list>`
`#include <set>`
`#include <map>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Functional.h>`
`#include <zypp/solver/detail/Types.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::ProblemSolutionList = std::list<ProblemSolution_Ptr>
using | zypp::ResolverProblemList = std::list<ResolverProblem_Ptr>

## Functions
| zypp::DEFINE_PTR_TYPE (Resolver)
| zypp::DEFINE_PTR_TYPE (ProblemSolution)
| zypp::DEFINE_PTR_TYPE (ResolverProblem)